
/*** Spinner Start ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .8s ease-out, visibility 0s linear .5s;
    z-index: 99999;
 }

 #spinner.show {
     transition: opacity .8s ease-out, visibility 0s linear .0s;
     visibility: visible;
     opacity: 1;
 }

 .back-to-top {
    position: fixed;
    right: 30px;
    bottom: 30px;
    display: flex;
    width: 45px;
    height: 45px;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
    z-index: 99;
}
/*** Spinner End ***/


/*** Button Start ***/
.btn {
    font-weight: 600;
    transition: .5s;
}

.btn-square {
    width: 32px;
    height: 32px;
}

.btn-sm-square {
    width: 34px;
    height: 34px;
}

.btn-md-square {
    width: 44px;
    height: 44px;
}

.btn-lg-square {
    width: 56px;
    height: 56px;
}

.btn-square,
.btn-sm-square,
.btn-md-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

.btn.border-secondary {
    transition: 0.5s;
}

.btn.border-secondary:hover {
    background: var(--bs-secondary) !important;
    color: var(--bs-white) !important;
}

/*** Topbar Start ***/
.fixed-top {
    transition: 0.5s;
    background: var(--bs-white);
    border: 0;
}

.topbar {
    padding: 0;
    border-radius: 230px 100px;
    position: relative !important;
    min-height: 44px;
}

.topbar .top-info {
    font-size: 18px;
    line-height: 0;
    letter-spacing: 1px;
    display: flex;
    align-items: center;
    font-weight: bold;
}

.topbar .top-info i{
    color: aliceblue;
}

.topbar .top-link {
    font-size: 18px;
    line-height: 0;
    letter-spacing: 1px;
    display: flex;
    align-items: center;
    font-weight: bold;
}

.topbar .top-link a {
    letter-spacing: 1px;
}

.topbar .top-link a small:hover {
    color: rgba(209, 207, 207, 0.55) !important;
    transition: 0.5s;
}

.topbar .top-link a small:hover i {
    color: var(--bs-primary) !important;
}
/*** Topbar End ***/

/*** Navbar Start ***/
.navbar .navbar-nav .nav-link {
    padding: 10px 15px;
    font-size: 16px;
    transition: .5s;
}

.navbar {
    height: 100px;
    border-bottom: 1px solid rgba(255, 255, 255, .1);
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active,
.fixed-top.bg-white .navbar .navbar-nav .nav-link:hover,
.fixed-top.bg-white .navbar .navbar-nav .nav-link.active {
    color: var(--bs-primary);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 700;
    vertical-align: middle;
    margin-left: 8px;
}

@media (min-width: 1200px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        border: 0;
        transition: .5s;
        opacity: 0;
    }
}

.dropdown .dropdown-menu a:hover {
    background: var(--bs-secondary);
    color: var(--bs-primary);
}

.navbar .nav-item:hover .dropdown-menu {
    transform: rotateX(0deg);
    visibility: visible;
    background: var(--bs-light) !important;
    border-radius: 10px !important;
    transition: .5s;
    opacity: 1;
}

#searchModal .modal-content {
    background: rgba(255, 255, 255, .8);
}
/*** Navbar End ***/

/*** Hero Header ***/
.hero-header {
    background: linear-gradient(rgba(244, 244, 247, 1), rgba(244, 244, 247, 0.3)), url(../img/agj-banner-1.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.carousel-item {
    position: relative;
}

.carousel-item a {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 25px;
    background: linear-gradient(rgba(19, 53, 123, 0.4), rgba(19, 53, 123, 0.4));
}

.carousel-control-next,
.carousel-control-prev {
    width: 48px;
    height: 48px;
    border-radius: 48px;
    border: 1px solid var(--bs-white);
    background: var(--bs-primary);
    position: absolute;
    margin-top: 35%;
    transform: translateY(-50%);
}

.carousel-control-next {
    margin-right: 20px;
}

.carousel-control-prev {
    margin-left: 20px;
}

.page-header {
    position: relative;
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url(../img/page-header.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

@media (min-width: 992px) {
    .hero-header,
    .page-header {
        margin-top: 152px !important;
    }
}

@media (max-width: 992px) {
    .hero-header,
    .page-header {
        margin-top: 97px !important;
    }
}
/*** Hero Header end ***/


/*** featurs Start ***/
.featurs .featurs-item .featurs-icon {
    position: relative;
    width: 90px;
    height: 90px;
}

.featurs .featurs-item{
    height: 350px !important;
}

@media (max-width: 767px) {
    .featurs .featurs-item{
        height: 300px !important;
    }
}

.featurs .featurs-item .featurs-icon::after {
    content: "";
    width: 15px;
    height: 15px;
    background: var(--bs-secondary);
    position: absolute;
    bottom: -3px;
    transform: translate(-50%);
    transform: rotate(45deg);
    background: var(--bs-secondary);
    
}
/*** featurs End ***/


/*** service Start ***/
.service .service-item .service-content {
    position: relative;
    width: 250px; 
    height: 130px; 
    top: -50%; 
    left: 50%; 
    transform: translate(-50%, -50%);
}

.service-box-height{
    max-height: 150px;
}

/* .service .service-content {
    position: relative;
    width: 250px; 
    height: 150px; 
    top: -50%; 
    left: 50%; 
    transform: translate(-50%, -50%);
} */

/*** service End ***/


/*** Fruits Start ***/
.fruite .tab-class .nav-item a.active {
    background: var(--bs-secondary) !important;
}

.fruite .tab-class .nav-item a.active span {
    color: var(--bs-white) !important; 
}

.fruite .fruite-categorie .fruite-name {
    line-height: 40px;
}

.fruite .fruite-categorie .fruite-name a {
    transition: 0.5s;
}

.fruite .fruite-categorie .fruite-name a:hover {
    color: var(--bs-secondary);
}

.fruite .fruite-item {
    height: 100%;
    transition: 0.5s;
    border: none !important;
    box-shadow: 0 2px 7px #dfdfdf;
}
.fruite .fruite-item:hover {
    box-shadow: 0 0 55px rgba(0, 0, 0, 0.4);
}

.fruite .fruite-item .fruite-img {
    overflow: hidden;
    transition: 0.5s;
    border-top-right-radius: 10px !important;
    border-top-left-radius: 10px !important;
    /* border-radius: 10px 10px 0 0; */
    /* border-color: #0d6efd !important; */
    /* border:1px solid #0d6efd !important; */
    /* border-bottom: 0 !important; */
    border: none !important;
}

.fruite .fruite-item .fruite-img img {
    transition: 0.5s;
}

.fruite .fruite-item .fruite-img img:hover {
    transform: scale(1.3);
}

.fruite-item .btn{
    border-color: var(--bs-primary);
    color: var(--bs-primary);
}
.fruite-item .btn:hover{
    background-color: var(--bs-primary);
    border-color: white;
    color: white;
}
/*** Fruits End ***/

.vesitable-item {
    box-shadow: 0 2px 7px #dfdfdf;
}

/*** vesitable Start ***/
.vesitable .vesitable-item {
    height: 100%;
    transition: 0.5s;
}

.vesitable .vesitable-item:hover {
    box-shadow: 0 0 55px rgba(0, 0, 0, 0.4);
}

.vesitable .vesitable-item .vesitable-img {
    overflow: hidden;
    transition: 0.5s;
    border-radius: 10px 10px 0 0;
}

.vesitable .vesitable-item .vesitable-img img {
    transition: 0.5s;
}

.vesitable .vesitable-item .vesitable-img img:hover {
    transform: scale(1.2);
}

.vesitable .owl-stage {
    margin: 50px 0;
    position: relative;
}

.vesitable .owl-nav .owl-prev {
    position: absolute;
    top: -8px;
    right: 0;
    color: var(--bs-primary);
    padding: 5px 25px;
    border: 1px solid var(--bs-secondary);
    border-radius: 20px;
    transition: 0.5s;

}

.vesitable .owl-nav .owl-prev:hover {
    background: var(--bs-secondary);
    color: var(--bs-white);
}

.vesitable .owl-nav .owl-next {
    position: absolute;
    top: -8px;
    right: 88px;
    color: var(--bs-primary);
    padding: 5px 25px;
    border: 1px solid var(--bs-secondary);
    border-radius: 20px;
    transition: 0.5s;
}

.vesitable .owl-nav .owl-next:hover {
    background: var(--bs-secondary);
    color: var(--bs-white);
}

.vesitable-item .btn{
    border-color: var(--bs-primary) !important;
    color: var(--bs-primary) !important;
}
.vesitable-item .btn:hover{
    background-color: var(--bs-primary) !important;
    border-color: white !important;
    color: white !important;
}
/*** vesitable End ***/


/*** Banner Section Start ***/
.banner .banner-btn:hover {
    background: var(--bs-primary);
}
/*** Banner Section End ***/


/*** Facts Start ***/
.counter {
    height: 100%;
    text-align: center;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.05);
}

.counter i {
    font-size: 60px;
    margin-bottom: 25px;
}

.counter h4 {
    color: var(--bs-primary);
    letter-spacing: 1px;
    text-transform: uppercase;
}

.counter h1 {
    margin-bottom: 0;
}
/*** Facts End ***/


/*** testimonial Start ***/
.testimonial .owl-nav .owl-prev {
    position: absolute;
    top: -78px;
    right: 0;
    color: var(--bs-primary);
    padding: 5px 25px;
    border: 1px solid var(--bs-secondary);
    border-radius: 20px;
    transition: 0.5s;
}

.testimonial .owl-nav .owl-prev:hover {
    background: var(--bs-secondary);
    color: var(--bs-white);
}

.testimonial .owl-nav .owl-next {
    position: absolute;
    top: -78px;
    right: 88px;
    color: var(--bs-primary);
    padding: 5px 25px;
    border: 1px solid var(--bs-secondary);
    border-radius: 20px;
    transition: 0.5s;
}

.testimonial .owl-nav .owl-next:hover {
    background: var(--bs-secondary);
    color: var(--bs-white);
}
/*** testimonial End ***/


/*** Single Page Start ***/
.pagination {
    display: inline-block;
}
  
.pagination a {
    color: var(--bs-dark);
    padding: 10px 16px;
    text-decoration: none;
    transition: 0.5s;
    border: 1px solid var(--bs-secondary);
    margin: 0 4px;
}
  
.pagination a.active {
    background-color: var(--bs-primary);
    color: var(--bs-light);
    border: 1px solid var(--bs-secondary);
}
  
.pagination a:hover:not(.active) {background-color: var(--bs-primary)}

.nav.nav-tabs .nav-link.active {
    border-bottom: 2px solid var(--bs-secondary) !important;
}
/*** Single Page End ***/


/*** Footer Start ***/
.footer .footer-item .btn-link {
    line-height: 35px;
    color: rgba(255, 255, 255, .5);
    transition: 0.5s;
}

.footer .footer-item .btn-link:hover {
    color: var(--bs-secondary) !important;
}

.footer .footer-item p.mb-4 {
    line-height: 35px;
}
/*** Footer End ***/


.navbar-nav ul{
    list-style: none;
    margin: 0px;
    padding-left: 0px;
    display: flex;
}

@media screen and (max-width: 1199px) {
    .navbar-nav ul{
        display: block;
    }
}

.navbar-nav ul li {
    display: flex;
    align-items: center; /* Align the <a> content vertically if needed */
}
.navbar-nav ul li a{
    display: block;
    padding: 10px 15px;
    font-size: 18px;
    transition: .5s;
    color: rgba(0, 0, 0, .55);
    font-weight: 600;
}

.navbar-nav ul li.current-menu-item a {
    color: var(--bs-primary);
}

.navbar-nav ul li.current-menu-item a:hover {
    color: var(--bs-primary);
}


.navbar-nav ul li.current-menu-item a:focus {
    outline: none; /* Removes the focus border */
    box-shadow: none; /* Removes any shadow (if applied) */
}

.navbar-brand {
    outline: none; /* Removes the focus border */
    box-shadow: none; /* Removes any shadow (if applied) */
}

header a {
    outline: none !important; /* Removes the focus border */
    box-shadow: none !important; /* Removes any shadow (if applied) */

}


.navbar-brand h1 {
    margin-bottom: 0px;
}


input:focus {
    outline: none !important; /* Remove default focus */
    box-shadow: none !important;
    /* border: none !important; */
}


.rounded-pill {
    padding-left: 15px;
    padding-right: 15px;
}

.mini-cart span {
    color: white !important;
    font-weight: 600;
}


.search-field.shop {
    outline: none !important; /* Remove default focus */
    box-shadow: none !important;
    border: 1px solid var(--bs-primary) !important;
}
.search-field.shop:focus {
    outline: none !important; /* Remove default focus */
    box-shadow: none !important;
    border: 1px solid var(--bs-primary) !important;
}



.custom_slider_wrapper {
  position: relative;
  width: 100%;
  background-color: #ffffff;
  /* padding: 50px 40px 20px 40px; */
  border-radius: 10px;
}
.slider-container {
  display: flex;
  position: relative;
  width: 100%;
  height: 100px;
  margin-top: 30px;
}
.slider-container input[type="range"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 100%;
  outline: none;
  position: absolute;
  margin: auto;
  top: 0;
  bottom: 0;
  background-color: transparent;
  pointer-events: none;
}
.slider-track {
  width: 100%;
  height: 5px;
  position: absolute;
  margin: auto;
  top: 0;
  bottom: 0;
  border-radius: 5px;
}
.slider-container input[type="range"]::-webkit-slider-runnable-track {
  -webkit-appearance: none;
  height: 5px;
}
.slider-container input[type="range"]::-moz-range-track {
  -moz-appearance: none;
  height: 5px;
}
.slider-container input[type="range"]::-ms-track {
  appearance: none;
  height: 5px;
}
.slider-container input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 1.7em;
  width: 1.7em;
  background-color: #3264fe;
  cursor: pointer;
  margin-top: -9px;
  pointer-events: auto;
  border-radius: 50%;
}
.slider-container input[type="range"]::-moz-range-thumb {
  -webkit-appearance: none;
  height: 1.7em;
  width: 1.7em;
  cursor: pointer;
  border-radius: 50%;
  background-color: #3264fe;
  pointer-events: auto;
  border: none;
}
.slider-container input[type="range"]::-ms-thumb {
  appearance: none;
  height: 1.7em;
  width: 1.7em;
  cursor: pointer;
  border-radius: 50%;
  background-color: #3264fe;
  pointer-events: auto;
}
.slider-container input[type="range"]:active::-webkit-slider-thumb {
  background-color: #ffffff;
  border: 1px solid #3264fe;
}
.custom_slider_wrapper .values {
  background-color: #3264fe;
  width: 32%;
  position: relative;
  margin: auto;
  padding: 10px 0;
  border-radius: 5px;
  text-align: center;
  font-weight: 500;
  font-size: 25px;
  color: #ffffff;
}
.custom_slider_wrapper .values:before {
  content: "";
  position: absolute;
  height: 0;
  width: 0;
  border-top: 15px solid #3264fe;
  border-left: 15px solid transparent;
  border-right: 15px solid transparent;
  margin: auto;
  bottom: -14px;
  left: 0;
  right: 0;
}



@media screen and (max-width: 1199px) {
    .mini-cart-desktop{
        display: none;
    }
    .mini-cart-mobile{
        display: block;
    }
    .mini-cart-mobile .mini-cart-desktop{
        display: block;
    }
}


@media screen and (min-width: 1200px) {
    .mini-cart-desktop{
        display: block;
    }
    .mini-cart-mobile{
        display: none;
    }
    .mini-cart-mobile .mini-cart-desktop{
        display: none;
    }
}

@media (min-width: 1200px)  {
    .service-card-height{
        height: 240px !important;
    }
}

.banner-shadow{
-webkit-box-shadow: 0px 0px 5px 5px rgba(108,105,108,1);
-moz-box-shadow: 0px 0px 5px 5px rgba(108,105,108,1);
box-shadow: 0px 0px 5px 5px rgba(108,105,108,1);
}

@media (max-width: 1199px) {
    /* Your mobile-specific styles here */
    .product-filter-panel {
        position: fixed;
        top: -25px;
        left: 0;
        background-color: white; /* Example style */
        z-index: 1000;
        width: 80vw;
        padding: 30px 40px;
        overflow-y: auto; /* Enable vertical scrolling if content overflows */
        overflow-x: hidden; 
        height: 100vh;
        -moz-transition: linear left 0.5s;
        -o-transition: linear left 0.5s;
        -webkit-transition: linear left 0.5s;
        transition: linear left 0.5s;
        left: -100%;
    }

    .mobile-filter-close {
        display: flex;
    }
    .filter-toggle {
        display: flex;
        height: 40px;
    }
    .product-sorting-container {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .product-filter-panel.open {
        left: 0
    }
    .shop-header {
        display: none;
    }
}
@media (min-width:1200px) {
    .mobile-filter-close{
        display: none  !important;
    }
    .filter-toggle{
        display: none  !important;
    }
    .product-sorting-container{
        display: block;
        justify-content: end;
    }
    .shop-header {
        display: block;
    }
}